<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Form\DataMapper;

use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;
use Symfony\Component\Form\DataMapperInterface;
use Symfony\Component\Form\FormInterface;
use Traversable;

interface QuoteItemQuantityDataMapperInterface extends DataMapperInterface
{
    public function mapDataToForms($viewData, $forms): void;

    /**
     * @param FormInterface[]|Traversable $forms
     * @param QuoteItemInterface $viewData
     */
    public function mapFormsToData($forms, &$viewData): void;
}
