<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Service;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;

interface QuoteIdSessionManagerInterface
{
    public function getQuoteIdFromSession(): ?int;

    public function setQuoteIdInSession(QuoteInterface $quote): void;

    public function removeQuoteIdInSession(): void;
}
